/*
 * Deskflow -- mouse and keyboard sharing utility
 * SPDX-FileCopyrightText: (C) 2024 - 2025 Chris Rizzitello <sithlord48@gmail.com>
 * SPDX-FileCopyrightText: (C) 2025 Symless Ltd.
 * SPDX-License-Identifier: GPL-2.0-only WITH LicenseRef-OpenSSL-Exception
 */

#pragma once

const auto kAppName = "Deskflow";
const auto kAppId = "deskflow";
const auto kAppDescription = "Mouse and keyboard sharing utility";
const auto kVersion = "1.20.1.0";
const auto kVersionGitSha = "";
const auto kDisplayVersion = 0 ? "1.20.1.0 ()" : "1.20.1";
const auto kDaemonBinName = "deskflow-daemon";
const auto kDaemonIpcName = "deskflow-daemon";
const auto kDaemonLogFilename = "deskflow-daemon.log";
const auto kWindowsRegistryKey = "SOFTWARE\\Deskflow";

const auto kCopyright = //
    "Copyright (C) 2024-2025 Deskflow Devs\n"
    "Copyright (C) 2012-2025 Symless Ltd.\n"
    "Copyright (C) 2009-2012 Nick Bolton\n"
    "Copyright (C) 2002-2009 Chris Schoeneman";

#ifndef NDEBUG
const auto kDebugBuild = true;
#else
const auto kDebugBuild = false;
#endif

const auto kSslDir = "tls";
const auto kTlsDbSize = 2;
const auto kCertificateFilename = "deskflow.pem";
const auto kFingerprintLocalFilename = "local-fingerprint";
const auto kFingerprintTrustedServersFilename = "trusted-servers";
const auto kFingerprintTrustedClientsFilename = "trusted-clients";
